pydo.genai.list_models()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.genai.list_models(
    usecases=None,
    public_only=None,
    page=None,
    per_page=None,
)
Returns JSONRaises HttpResponseError

Description

To list all models, send a GET request to /v2/gen-ai/models.

Parameters

usecases array of strings optional

Include only models defined for the listed usecases.

- MODEL_USECASE_UNKNOWN: The use case of the model is unknown
- MODEL_USECASE_AGENT: The model maybe used in an agent
- MODEL_USECASE_FINETUNED: The model maybe used for fine tuning
- MODEL_USECASE_KNOWLEDGEBASE: The model maybe used for knowledge bases (embedding models)
- MODEL_USECASE_GUARDRAIL: The model maybe used for guardrails
- MODEL_USECASE_REASONING: The model usecase for reasoning
- MODEL_USECASE_SERVERLESS: The model usecase for serverless inference

public_only boolean optional

Only include models that are publicly available.

page integer optional

Page number.

per_page integer optional

Items per page.

Pagination

This method returns paginated results. The response includes a links.pages object with URLs for navigating between pages. To retrieve the next page, parse the next URL and pass the page parameter:

from urllib.parse import urlparse, parse_qs

resp = client.genai.list_models()
pages = resp.get("links", {}).get("pages", {})

while "next" in pages:
    parsed = urlparse(pages["next"])
    page = int(parse_qs(parsed.query)["page"][0])
    resp = client.genai.list_models(page=page)
    pages = resp.get("links", {}).get("pages", {})

Response Example

Show Response Example
{
  "links": {
    "pages": {
      "first": "example string",
      "last": "example string",
      "next": "example string",
      "previous": "example string"
    }
  },
  "meta": {
    "page": 123,
    "pages": 123,
    "total": 123
  },
  "models": [
    {
      "capabilities": [
        "example string"
      ],
      "context_window": "12345",
      "created_at": "2021-01-01T00:00:00Z",
      "description": "example string",
      "endpoints": [],
      "id": "llama3.3-70b-instruct",
      "is_foundational": true,
      "kb_default_chunk_size": 123,
      "kb_max_chunk_size": 123,
      "kb_min_chunk_size": 123,
      "lifecycle_status": "active",
      "model_availability": "example string",
      "name": "Llama 3.3 Instruct (70B)",
      "parameter_count": 123,
      "parent_uuid": "\"12345678-1234-1234-1234-123456789012\"",
      "provider": "MODEL_PROVIDER_DIGITALOCEAN",
      "reasoning_efforts": [
        "example string"
      ],
      "settings": [],
      "thinking": true,
      "type": "example string",
      "updated_at": "2021-01-01T00:00:00Z",
      "upload_complete": true,
      "url": "https://example.com/model.zip",
      "uuid": "\"12345678-1234-1234-1234-123456789012\""
    }
  ]
}

More Information

See /v2/gen-ai/models in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.